FUFU/urls.py
from django.urls import path
from .views import getFufuById,addNewFufu,updateFufu,deleteFufu,fufuPage, fufuJson, getFufuById, myFufu, delFufu, editFufu, addFufu, getFufu, getMyFufu

urlpatterns = [
    path('fufu/', fufuPage, name="fufu"),
    path('fufuJson/', fufuJson, name="fufuJson"),
    path('getFufu/', getFufu, name="getFufu"),
    path('getMyFufu/', getMyFufu, name="getMyFufu"),
    path('getFufuById/', getFufuById, name="getFufuById"),
    path('addNewFufu/', addNewFufu, name="addNewFufu"),
    path('updateFufu/', updateFufu, name="updateFufu"),
    path('deleteFufu/', deleteFufu, name="deleteFufu"),
    path("myfufu/", myFufu, name="myfufu"),
    path("add/", addFufu, name="addFufu"),
    path("<int:id>/edit", editFufu, name="editFufu"),
    path("<int:id>/delete", delFufu, name="delFufu")
]

ZonaHijau/urls.py
from django.contrib import admin
from django.urls import path, include
#   import Home.urls as home
import FUFU.urls as fufu
import User.urls as user
import rumahsakit.urls as rumahsakit
import mitosfakta.urls as mitosfakta
import faq.urls as faq
import videoinfog.urls as videoinfog
import dashboard.urls as dashboard

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include(dashboard)),
#     path('', include(home)),
    path('', include(user)),
    path('', include(fufu)),
    path('', include(faq)),
    path('', include(rumahsakit)),
    path('', include(mitosfakta)),
    path('', include(videoinfog))
]

faq/urls.py
from django.urls import path
from .views import faq_index, faq_json, faq_add, faq_update_like, add_from_flutter

app_name = 'faq'
urlpatterns = [
    path('faq/', faq_index, name='faq_index'),
    path('faq/json/', faq_json, name='faq_json'),
    path('faq/add', faq_add, name='faq_add'),
    path('faq/update_like/<int:id>', faq_update_like),
    path('faq/add_from_flutter', add_from_flutter)
]

FUFU/models.py
from django.db import models
from django.contrib.auth.models import User

class Fufu(models.Model):
    From = models.TextField(max_length=10)
    Message = models.TextField(max_length=150)
    # tambahan
    Owner = models.TextField(null=True, blank=True)
    # tambahan
    # Owner = models.ForeignKey(User, on_delete=models.CASCADE, null=True, blank=True)

FUFU/forms.py
from django import forms
from .models import Fufu

class FufuForm(forms.ModelForm):
    class Meta:
        model = Fufu
        fields = [
            "From",
            "Message"
        ]

FUFU/views.py
from django.shortcuts import render, get_object_or_404, get_list_or_404
from django.http.response import HttpResponseRedirect
from django.http import HttpResponse
from django.core import serializers
from .models import Fufu
from django.contrib.auth.decorators import login_required
from .forms import FufuForm
from django.http import JsonResponse

def fufuPage(request):
    fufus = reversed(Fufu.objects.all().values())
    response = {}
    counter = 0
    lstFufu = []
    groupedFufu = []
    for fufu in fufus:
        if counter == 6:
            lstFufu.append(fufu)
            groupedFufu.append(lstFufu)
            lstFufu = []
            counter = 0
            continue
        lstFufu.append(fufu)
        counter += 1

    if len(lstFufu) != 0:
        groupedFufu.append(lstFufu)
        lstFufu = []

    response['groupedFufu'] = groupedFufu
    return render(request, 'fufu_index.html', response)

def fufuJson(request):
    fufus = reversed(Fufu.objects.all())
    data = serializers.serialize('json', fufus)
    return HttpResponse(data, content_type="application/json")

def getFufu(request):
    fufus = Fufu.objects.all().values()
    list_fufu = []
    for fufu in fufus:
        list_fufu.append(fufu)
    response = {"response":list_fufu,"meta":{'code':200,'message':"Request Success"}}
    return JsonResponse(response)

def getMyFufu(request):
    if request.method == 'POST':
        fufus = Fufu.objects.filter(Owner=request.POST.get('owner')).values()
        list_fufu = []
        for fufu in fufus:
            list_fufu.append(fufu)
        response = {"response":list_fufu,"meta":{'code':200,'message':"Request Success"}}
        return JsonResponse(response)
    else:
        response = {"response":[],"meta":{'code':301,'message':"Method Not Allowed"}}
        return JsonResponse(response)

def addNewFufu(request):
    if request.method == 'POST':
        form = FufuForm(request.POST or None)
        if form.is_valid():
            obj = form.save(commit=False)
            obj.Owner = request.POST.get("Owner")
            obj.save()
            response = {"response": [],"meta":{'code':201,'message':"Fufu successfully created"}}
            return JsonResponse(response)
        else:
            response = {"response":[],"meta":{'code':203,'message':'Data Not Valid'}}
            return JsonResponse(response)
    else:
        response = {"response":[],"meta":{'code':301,'message':"Method Not Allowed"}}
        return JsonResponse(response)

def getFufuById(request):
    if request.method == 'POST':
        id = request.POST.get('id')
        fufus = Fufu.objects.filter(id=id).values()
        data = []
        for fufu in fufus:
            data.append(fufu)
        response = {"response": fufu,"meta":{'code':200,'message':"Request Success"}}
        return JsonResponse(response)
    else:
        response = {"response":[],"meta":{'code':301,'message':"Method Not Allowed"}}
        return JsonResponse(response)

def updateFufu(request):
    if request.method == 'POST':
        id = request.POST.get("id")
        fufu = get_object_or_404(Fufu, id=id)
        fufu_form = FufuForm(request.POST or None, instance=fufu)
        if fufu_form.is_valid():
            fufu_form.save()
            response = {"response": [],"meta":{'code':200,'message':"Fufu successfully updated"}}
            return JsonResponse(response)
        else:
            response = {"response":[],"meta":{'code':203,'message':'Data Not Valid'}}
            return JsonResponse(response)
    else:
        response = {"response":[],"meta":{'code':301,'message':"Method Not Allowed"}}
        return JsonResponse(response)

def deleteFufu(request):
    if request.method == 'POST':
        id = request.POST.get("id")
        fufu = get_object_or_404(Fufu, id=id)
        fufu.delete()
        response = {"response": [],"meta":{'code':200,'message':"Fufu successfully deleted"}}
        return JsonResponse(response)
    else:
        response = {"response":[],"meta":{'code':301,'message':"Method Not Allowed"}}
        return JsonResponse(response)

@login_required(login_url="/login/")
def myFufu(request):
    fufus = Fufu.objects.filter(Owner=request.user.id)
    return render(request, "index_my_fufu.html", {"fufus": fufus})

@login_required(login_url="/login/")
def addFufu(request):
    context = {}

    form = FufuForm(request.POST or None)
    if form.is_valid():
        obj = form.save(commit=False)
        obj.Owner = request.user.id
        obj.save()
        return HttpResponseRedirect("/myfufu")

    context["form"] = form
    return render(request, "fufu_form.html", context)

@login_required(login_url="/login/")
def editFufu(request, id):
    context = {}
    fufu = get_object_or_404(Fufu, id=id)

    fufu_form = FufuForm(request.POST or None, instance=fufu)

    if fufu_form.is_valid():
        fufu_form.save()
        return HttpResponseRedirect("/myfufu")

    context["form"] = fufu_form

    return render(request, "fufu_form.html", context)

@login_required(login_url="/login/")
def delFufu(request, id):
    fufu = get_object_or_404(Fufu, id=id)
    fufu.delete()
    return HttpResponseRedirect("/myfufu")

FUFU/templates/fufu_form.html
<!DOCTYPE html>

<html lang="en">

{% load static %}

<head>
    <title>My FUFU</title>
    <link rel="icon" href="{% static 'icon.png' %}" type="icon">
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    {% include 'navbarFufu.html' %}
</head>

<body>

<main>
    <div class="m-4 p-4">
        <form action="" method="post">
            {% csrf_token %}

            <div class="form-group mb-3">

                <label class="form-label" for="id_From">From</label>

                <input type="text" class="form-control form-text" name="From" maxlength="10" placeholder="Write your name" id="id_From" required
                       {% if form.From.value != None %} value="{{ form.From.value }}" {% endif %}>

                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio1"
                           value="option1" onchange="username()" checked>
                    <label class="form-check-label" for="inlineRadio1" style="font-size:11px;">Username</label>
                </div>

                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio2"
                           value="option2" onchange="custom()">
                    <label class="form-check-label" for="inlineRadio2" style="font-size:11px;">Custom</label>
                </div>

                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio3"
                           value="option3" onchange="anon()">
                    <label class="form-check-label" for="inlineRadio3" style="font-size:11px;">Anonymous</label>

                </div>
            </div>

            <div class="form-group mb-3">
                <label class="form-label" for="id_Message">Message</label>
                <textarea class="form-control form-text" name="Message" maxlength="150" placeholder="Write your message ..." style="border-radius: 25px;border-color: black;border-style: solid;" id="id_Message"
                          required>{% if form.Message.value != None %}{{ form.Message.value }}{% endif %}</textarea>
            </div>

            <input class="btn btn-primary" type="submit" value="share">

        </form>

    </div>

</main>

</body>

</html>

<style>
    @import url('https://fonts.googleapis.com/css2?family=Sora:wght@100;300;400&display=swap');

    body {
        margin: 0;
        padding: 0;
        align-items: center;
        justify-content: center;
        min-height: 100vh;
        background-image: url('/static/pattern-randomized.svg');
    }
    * {
        font-family: 'Sora', sans-serif;
    }
    input[type="text"] {
        border-radius: 25px;
        border-color: black;
        border-style: solid;
    }
    input[type="text"]:hover {
        box-shadow: 10px 5px 5px #308a7e;
	}
	textarea:hover {
	    box-shadow: 10px 5px 5px #308a7e;
	}
	input::placeholder {
	    font-size: 13px;
	    color: #c4c4c4;
	    padding: 0 25px;
	}
	textarea {
	height: 59px;
	resize: none;
	}
	textarea::-webkit-scrollbar {
	    width: 0px;
	}
	textarea::placeholder {
	    font-size: 13px;
	    color: #c4c4c4;
	    padding: 0 25px;
	}
    input[type="submit"] {
        border-radius: 25px;
        background-color: #41B3A3;
        color: #f4f4f4;
        filter: drop-shadow(-2px 4px 6px rgba(0, 0, 0, 0.39));
        border: 0px;
        float: right;
        padding: 13px 30px;
        font-size: 15px;
    }
    input[type="submit"]:hover {
        background-color: #308a7e;
        color: #f4f4f4;
    }
</style>

<script>
    const textarea = document.querySelector("textarea");
    textarea.addEventListener("keyup", e =>{
        textarea.style.height = "auto";
        let scHeight = e.target.scrollHeight;
        textarea.style.height = `${scHeight}px`;
    });
    let form_input = $("#id_From")

    function username() {
        form_input.val("{{ user.get_username }}");
        form_input.prop("readonly", true);
    }

    function custom() {
        form_input.val("");
        form_input.prop("readonly", false);
    }

    function anon() {

        form_input.val("Anonymous");
        form_input.prop("readonly", true);
    }

    $("#inlineRadio2").prop("checked", true);
</script>

FUFU/templates/fufu_index.html
<!DOCTYPE html>
<html>
{% load static %}
<head>
    <title>Fufu</title>
    <link rel="icon" href="{% static 'icon.png'%}" type="icon">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>

    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% include 'navbarFufu.html' %}
    <style>
        body {
            margin: 0;
            padding: 0;
            overflow-x: hidden;
            background-image: url('/static/pattern-randomized.svg');
        }
        body .slider-container{
            display: block;
            place-items: center;
        }
        * {
			font-family: 'Sora', sans-serif;
		}
        .fufu-title-container{
            width: 100%;
            margin-top: 200px;
            margin-left: 50px;
            float: left;
        }
        h1 {
            font-weight: bold;
            cursor:default;
        }
        .fufu-subtitle-container{
            margin-top: 0px;
            margin-left: 100px;
        }
        h4 {
            font-style: italic;
            cursor:default;
        }
        .see-all-container {
            margin-top: 0px;
            margin-right: 130px;
            float: right;
            cursor: pointer;
        }
        .see-all-button {
            text-decoration: none;
            color: #7e7e7e;
            font-size: larger;
        }
        .see-all-button:hover {
            color: #505050;
        }
        .modal {
            display: none;
            position: fixed;
            z-index: 1;
            padding-top: 100px;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            overflow-y:auto;
            background-color: rgba(0,0,0,0.4);
        }
        .modal-content {
            position: relative;
            background-color: #fefefe;
            margin: auto;
            padding: 0;
            border: 1px solid #888;
            width: 60%;
            box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
            -webkit-box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
            -webkit-animation-name: animatetop;
            -webkit-animation-duration: 0.4s;
            animation-name: animatetop;
            animation-duration: 0.4s;
        }

        /* Add Animation */
        @-webkit-keyframes animatetop {
            from {top:-300px; opacity:0}
            to {top:0; opacity:1}
        }

        @keyframes animatetop {
            from {top:-300px; opacity:0}
            to {top:0; opacity:1}
        }

        /* The Close Button */
        .close {
            color: rgb(0, 0, 0);
            float: right;
            font-size: 28px;
            font-weight: bold;
        }
        .close:hover,
        .close:focus {
            color: rgb(78, 78, 78);
            text-decoration: none;
            cursor: pointer;
        }
        .fufu-list{
            display: inline-grid;
            grid-template-columns: auto auto auto auto;
            grid-row-gap: 30px;
            padding-top: 50px;
            padding-left: 50px;
            padding-bottom: 50px;
            overflow-wrap: break-word;
        }
        .slider-container {
            height: 310px;
            width: 100%;
            display: grid;
            place-items: center;
            margin: 0px;
        }
        .slider {
            height: 310px;
            margin-left: 50px;
            position: relative;
            width: 1782px;
            display: grid;
            place-items: baseline;
            padding-top: 20px;
            overflow: hidden;
        }
        .slide-track {
            display: flex;
            width: fit-content;
            margin-left: 30px;
        }
        .slide-track:hover {
            animation-play-state: paused;
        }
        .fufu-slide{
            display: none;
        }
        .from-container {
            width: 149px;
            height: 20px;

            font-style: normal;
            font-weight: bold;
            font-size: 14px;
            line-height: 16px;

            letter-spacing: 0.75px;
            cursor: default;
        }
        .message-container {
            width: 169px;
            height: 152px;

            font-style: normal;
            font-weight: normal;
            font-size: 14px;
            line-height: 16px;

            letter-spacing: 0.75px;
            cursor: default;
        }
        .fufu_card {
			width: 200px;
            height: 260px;
			margin: 0px 20px;
			background: #f4f4f4;
			position: relative;
			display: flex;
			justify-content: center;
			flex-direction: column;
			padding: 15px;
			border-radius: 5px;
            align-items: center;
            overflow-wrap: break-word;
            transition: transform 0.1s;
            border-color: black;
            border-style: solid;
		}
        .fufu_card:hover {
			box-shadow: 10px 5px 5px #308a7e;
            transform: scale(1.1);
		}
        .no-fufu-slide {
            margin-top: 50px;
            text-align: center;
        }
        .no-fufu {
            color: #a1a1a1;
            width: 100%;
            cursor: default;
        }
        .no-fufu-msg {
            color: #a1a1a1;
            width: 100%;
            font-style: normal;
            cursor: default;
        }
        .btn-circle.btn-xl {
            width: 70px;
            height: 70px;
            padding: 0px 0px;
            border-radius: 35px;
            font-size: 50px;
            line-height: 1.33;
        }
        .btn-circle {
            width: 30px;
            height: 30px;
            padding: 6px 0px;
            border-radius: 15px;
            text-align: center;
            font-size: 12px;
            line-height: 1.42857;

        }
        .btn {
            background-color: #41B3A3;
            color: #f4f4f4;
            filter: drop-shadow(-2px 4px 6px rgba(0, 0, 0, 0.39));
            border: 0px;
        }
        .btn:hover {
            background-color: #308a7e;
            color: #f4f4f4;
        }
        .add-button-container {
            margin-top: 50px;
            margin-right: 190px;
            margin-bottom: 60px;
            float: right;
        }
    </style>
</head>
<body onload="callCarousel()">
<div class="fufu-title-container">
    <h1>From Us For Us (FUFU)</h1>
</div>
<div class="fufu-subtitle-container">
    <h4>A simple message to cheerish each other during pandemic</h4>
</div>
{% if groupedFufu|length > 0 %}
<div class="see-all-container">
    <a class="see-all-button" id="myBtn">see all</a>
</div>
{% endif %}
<div class=slider-container>
    {% if groupedFufu|length > 0 %}
    <div class="slider">
        <div class="slide-track" onmouseover="pauseCarousel()" onmouseout="continueCarousel()">
            {% for group in groupedFufu %}
            <div class="fufu-slide w3-animate-right">
                {% for fufu in group %}
                <div class="fufu_card">
                    <div class= "from-container">
                        <t>From: {{fufu.From}}</t>
                    </div><br>
                    <div class= "message-container">
                        {{fufu.Message}}
                    </div>
                </div>
                {% endfor %}
            </div>
            {% endfor %}
        </div>
    </div>
    {% else %}
    <div class="slider" style="place-items: center">
        <div class="slide-track">
            <div class="no-fufu-slide w3-animate-right">
                <h2 class="no-fufu">There is no FUFU to display</h2>
                <h4 class="no-fufu-msg">added fufu will show up here</h4>
            </div>
        </div>
    </div>
    {% endif %}
</div>
<div id="myModal" class="modal">
    <!-- Modal content -->
    <div class="modal-content">
        <div class="modal-body">
            <span class="close">&times;</span>
            <div class="fufu-list">
                {% for fufu in fufus %}
                <div class="fufu_card">
                    <div class= "from-container">
                        <t>From: {{fufu.From}}</t>
                    </div><br>
                    <div class= "message-container">
                        {{fufu.Message}}
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>
    </div>
</div>
<script>
        var index = 0;
        var x = document.getElementsByClassName("fufu-slide");
        let func;
        function carousel() {
            if (x.length == 1) {
                x[0].style.display = "flex"
                return
            }
            for (var i = 0; i < x.length; i++) {
                x[i].style.display = "none";
            }
            index++;
            if (index > x.length) {
                index = 1
            }
            x[index-1].style.display = "flex";
        }

        // carousel driver
        function callCarousel() {
            if (x.length > 1) {
                carousel()
                func = setInterval(carousel, 5000) // call carousel every 5 seconds (wait 5 seconds first before the first call)
            }
            else if (x.length == 1) {
                carousel()
            }
            // dont call carousel if there's no fufu
            else {
                return
            }
        }

        // carousel pause
        function pauseCarousel() {
            if (x.length == 1) {
                return
            }
            else {
                clearInterval(func)
            }
        }

        // carousel continue
        function continueCarousel() {
            if (x.length == 1) {
                return
            }
            else {
                func = setInterval(carousel, 5000)
            }
        }

        // Get the modal
        var modal = document.getElementById("myModal");
        // Get the button that opens the modal
        var btn = document.getElementById("myBtn");
        // Get the <span> element that closes the modal
        var span = document.getElementsByClassName("close")[0];
        // When the user clicks the button, open the modal, button is not rendered if there's no fufu
        if (btn != null) {
            btn.onclick = function() {
                modal.style.display = "block";
                pauseCarousel();
            }
        }
        // When the user clicks on <span> (x), close the modal
        span.onclick = function() {
            modal.style.display = "none";
            continueCarousel()
        }
        // When the user clicks anywhere outside of the modal, close it
        window.onclick = function(event) {
        if (event.target == modal) {
            modal.style.display = "none";
            continueCarousel()
        }
        }
        $(document).on('click', '#myBtn', function(){
            $.ajax({
                method: "GET",
                url: "../fufuJson/"
            })
            .done(function( fufus ) {
                $(".fufu-list").empty();
                for (let i = 0; i < fufus.length; i++) {
                    $( ".fufu-list" ).append(
                        `
                        <div class="fufu_card">
                            <div class= "from-container">
                                <t>From: ${fufus[i].fields.From}</t>
                            </div><br>
                            <div class= "message-container">
                                ${fufus[i].fields.Message}
                            </div>
                        </div>
                        `
                    );
                }
            });
        });
        </script>
<div class = "add-button-container panel-body">
    <button type="button" class="btn btn-default btn-circle btn-xl" onclick="location.href='/add/'">+</button>
</div>
</body>
</html>

FUFU/templates/index_my_fufu.html
<!doctype html>

<html lang="en">

{% load static %}

<head>
    <title>My FUFU</title>
    <link rel="icon" href="{% static 'icon.png' %}" type="icon">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    {% include 'navbarFufu.html' %}
</head>

<body>

<main>

    <div class="m-4 p-4">

        <div class="myfufu-title-container">
            <h1>My FUFU</h1>
        </div>

        <div class="myfufu-subtitle-container">
            <h4>Edit or delete your message</h4>
        </div>

        <div class="myfufu-list">
            {% if fufus|length > 0 %}
            {% for fufu in fufus %}

            <div class="card w3-animate-bottom">

                <div class="card-body">
                    <h5 class="card-title">From: {{ fufu.From }}</h5>
                    <p class="card-text">{{ fufu.Message }}</p>
                </div>

                <div class="btn-toolbar" role="group" aria-label="Basic mixed styles example" style="float: right;">
                    <a class="edit-icon" href="/{{ fufu.id }}/edit"><img src="https://image.flaticon.com/icons/png/512/84/84380.png" style="width:20px;height:20px;"></a>
                    <a class="delete-icon" onclick="delete_func(this, {{ fufu.id }})"><img src="https://cdn1.iconfinder.com/data/icons/jumpicon-basic-ui-glyph-1/32/-_Trash-Can--512.png" style="width:25px;height:25px;"></a>
                </div>

            </div>

            {% endfor %}
            {% else %}

            <div class="slider" style="place-items: center">

                <div class="slide-track">

                    <div class="no-fufus w3-animate-right">
                        <h2 class="no-fufu">You haven't add any FUFU</h2>
                        <a class="no-fufu-msg" href="/fufu/" style="font-size:23px">Add your FUFU on FUFU page</a>
                    </div>

                </div>

            </div>

            {% endif %}

        </div>

    </div>

</main>

</body>

</html>

<script>
    function delete_func(e, id) {
        e.parentNode.parentNode.remove();
        const ajax = new XMLHttpRequest();
        ajax.onload= function () {
            Swal.fire({
                icon: 'success',
                title: 'Success',
                text: 'Successfully delete FUFU',
            })
        };
        ajax.open("GET", "/" + id + "/delete");
        ajax.send();
    }
</script>

<style>
    @import url('https://fonts.googleapis.com/css2?family=Sora:wght@100;300;400&display=swap');

    body {
        background-image: url('/static/pattern-randomized.svg');
        margin: 0;
        padding: 0;
        overflow-x: hidden;
    }
    body .slider-container{
        display: block;
        place-items: center;
    }
    * {
        font-family: 'Sora', sans-serif;
    }
    .myfufu-title-container {
        width: 100%;
        margin-top: 158px;
        margin-left: 7px;
        float: left;
    }
    h1 {
        font-weight: bold;
        cursor: default;
    }
    .myfufu-subtitle-container {
        margin-top: 0px;
        margin-left: 100px;
    }
    h4 {
        font-style: italic;
        cursor: default;
    }
    .myfufu-list {
        display: inline-grid;
        grid-template-columns: auto auto auto auto;
        grid-row-gap: 30px;
        padding-top: 50px;
        padding-left: 50px;
        padding-bottom: 50px;
        overflow-wrap: break-word;
    }
    .card-title {
        width: 149px;
        height: 20px;

        font-style: normal;
        font-weight: bold;
        font-size: 14px;
        line-height: 16px;

        letter-spacing: 0.75px;
        cursor: default;
    }
    .card-text {
        width: 169px;
        height: 152px;

        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        line-height: 16px;

        letter-spacing: 0.75px;
        cursor: default;
    }
    .btn-toolbar {
        position: absolute;
        bottom: 0px;
        right: 0px;
        margin: 1rem;
    }
    .edit-icon {
        position: relative;
        margin-right: 10px;
    }
    .delete-icon {
        position: relative;
        margin-right: 10px;
    }
    .card w3-animate-bottom {
        display: flex;
    }
    .card {
		width: 200px;
        height: 260px;
		margin: 0px 20px;
		background: #f4f4f4;
		position: relative;
		display: flex;
		justify-content: center;
		flex-direction: column;
		padding: 15px;
		border-radius: 5px;
        align-items: center;
        overflow-wrap: break-word;
        transition: transform 0.1s;
        border-color: black;
        border-style: solid;
	}
    .card:hover {
		box-shadow: 10px 5px 5px #308a7e;
        transform: scale(1.1);
	}
	.no-fufus {
        margin-bottom: 70px;
        text-align: center;
        margin-right: 150px;
    }
    .no-fufu {
        color: #a1a1a1;
        width: 100%;
        cursor: default;
    }
    .no-fufu-msg {
        color: #a1a1a1;
        width: 100%;
        font-style: normal;
        cursor: default;
    }
    slider-container {
        height: 310px;
        width: 100%;
        display: grid;
        place-items: center;
        margin: 0px;
    }
    .slider {
        height: 310px;
        margin-left: 50px;
        position: relative;
        width: 1782px;
        display: grid;
        place-items: baseline;
        padding-top: 20px;
        overflow: hidden;
    }
</style>